Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -1825,136 +996,88 @@
         /// <returns></returns>
         private List<DepositOrderer> SelectDepositOrderers()
         {
-            var depositData = SelectDepositData().OfType<object[]>()
-                .GroupBy(d =>
-                {
-                    return string.Format("{0} {1}",
-                        CommonMotions.cnvInt(d[(int)ClickGetData.OrderersDivision]),
-                        CommonMotions.cnvInt(d[(int)ClickGetData.OrderersCode]));
-                });
+            var invoiceData = SelectInvoiceData().OfType<object[]>();
             var data = new List<DepositOrderer>();
             var no = 1;
-            foreach (var deposits in depositData)
+
+            foreach (var invoice in invoiceData)
             {
-                var orderer = deposits.First();
                 // 請求先情報
                 var o = new DepositOrderer();
-                o.OrderersDivision = CommonMotions.cnvInt(orderer[(int)ClickGetData.OrderersDivision]);
-                o.OrderersCode = CommonMotions.cnvInt(orderer[(int)ClickGetData.OrderersCode]);
-                o.OrderersName = ToOrdererName(CommonMotions.cnvInt(orderer[(int)ClickGetData.CorporateStatusPoint]),
-                                        CommonMotions.cnvString(orderer[(int)ClickGetData.CorporateStatusName]),
-                                        CommonMotions.cnvString(orderer[(int)ClickGetData.OrderersName1]),
-                                        CommonMotions.cnvString(orderer[(int)ClickGetData.OrderersName2]));
+                o.KB = CommonMotions.cnvInt(invoice[(int)GetDataFirst.KB]);
+                o.RequestMonth = m_Select_TargetDate;
+                o.OrderersCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderersCode]);
+                o.OrderersDivision = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderersDivision]);
+                o.OrderersName = CommonMotions.cnvString(invoice[(int)GetDataFirst.OrderersName]);
+
                 // 表示権限がない場合は次へ
                 if (!CheckOrdererPermission(o))
                 {
                     continue;
                 }
-                o.No = no;
-                no++;
+
+                if (o.KB == 1)
+                {
+                    o.No = 0;
+                }
+                else
+                {
+                    o.No = no;
+                    no++;
+                }
+
                 o.Deposits = new List<Deposit>();
                 o.DepositDetails = new List<DepositDetail>();
+
                 // 入金データ情報
-                foreach (var deposit in deposits)
-                {
-                    var d = new Deposit();
-                    d.SeqNo = CommonMotions.cnvInt(deposit[(int)ClickGetData.SeqNo]);
-                    d.DepositDate = CommonMotions.cnvString(deposit[(int)ClickGetData.DepositDate]);
-                    d.DepositAmountCash = CommonMotions.cnvLong(deposit[(int)ClickGetData.DepositAmountCash]);
-                    d.DepositAmountBill = CommonMotions.cnvLong(deposit[(int)ClickGetData.DepositAmountBill]);
-                    o.Deposits.Add(d);
-                }
+
+                var d = new Deposit();
+                d.SeqNo = CommonMotions.cnvInt(invoice[(int)GetDataFirst.SeqNoD]);
+                d.DepositDate = CommonMotions.cnvString(invoice[(int)GetDataFirst.DepositDate]);
+                d.DepositAmountCash = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DepositAmountCash]);
+                d.DepositAmountBill = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DepositAmountBill]);
+                d.Note = CommonMotions.cnvString(invoice[(int)GetDataFirst.NoteD]);
+                o.Deposits.Add(d);
+
+
                 // 入金明細データ
-                var details = SelectDepositDetailData(o.OrderersDivision, o.OrderersCode, m_Select_TargetDate).OfType<object[]>();
-                foreach (var detail in details)
+
+                var dd = new DepositDetail();
+                dd.RequestNo = CommonMotions.cnvInt(invoice[(int)GetDataFirst.RequestNo]);
+                dd.OrderNo = CommonMotions.cnvInt(invoice[(int)GetDataFirst.OrderNo]);
+                if (dd.OrderNo > 1)
                 {
-                    var dd = new DepositDetail();
-                    dd.SeqNo = CommonMotions.cnvInt(detail[(int)ClickGetData.SeqNo]);
-                    dd.LineCount = CommonMotions.cnvInt(detail[(int)ClickGetData.LineCount]);
-                    dd.RequestNo = CommonMotions.cnvInt(detail[(int)ClickGetData.RequestNo]);
-                    dd.OrderNo = CommonMotions.cnvInt(detail[(int)ClickGetData.OrderNo]);
-                    dd.ConstructionNameRow = CommonMotions.cnvString(detail[(int)ClickGetData.DetailString]);
-                    dd.ConstructionName = dd.ConstructionNameRow;
-                    if (dd.OrderNo > 1)
-                    {
-                        dd.ConstructionName += "（" + dd.OrderNo + "回目）";
-                    }
-                    dd.BillCreationDate = CommonMotions.cnvString(detail[(int)ClickGetData.BillCreationDate]);
-                    dd.BillPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.BillPrice]);
-                    dd.TaxPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.TaxPrice]);
-                    dd.DepositAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.DepositAmount]);
-                    dd.DiscountAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.DiscountAmount]);
-                    dd.CnstrPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.CnstrPrice]);
-                    dd.Fees = CommonMotions.cnvLong(detail[(int)ClickGetData.Fees]);
-                    dd.OtherAdjustments = CommonMotions.cnvLong(detail[(int)ClickGetData.OtherAdjustments]);
-                    dd.CarryAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.CarryAmount]);
-                    dd.ApprovalPersonCode = CommonMotions.cnvInt(detail[(int)ClickGetData.ApprovalPersonCode]);
-                    dd.ApprovalEndFlg = CommonMotions.cnvInt(detail[(int)ClickGetData.ApprovalEndFlg]);
-                    dd.ApprovalPersonName = CommonMotions.cnvString(detail[(int)ClickGetData.PersonName]);
-                    dd.DepartmentCode = CommonMotions.cnvInt(detail[(int)ClickGetData.DepartmentCode]);
-                    dd.ConstructionCode = CommonMotions.cnvInt(detail[(int)ClickGetData.ConstructionCode]);
-                    dd.ConstructionPersonCode = CommonMotions.cnvInt(detail[(int)ClickGetData.ConstructionPersonCode]);
-                    dd.ConstrSubPersonCode = CommonMotions.cnvInt(detail[(int)ClickGetData.ConstrSubPersonCode]);
-                    dd.ConstructionInstructor = CommonMotions.cnvInt(detail[(int)ClickGetData.ConstructionInstructor]);
-                    dd.DepositApprovals = new List<DepositApproval>();
-                    dd.Visible = CheckPermission(dd.DepartmentCode, dd.ConstructionPersonCode, dd.ConstrSubPersonCode, dd.ConstructionInstructor);
-                    dd.ApprovalDate = "";
-                    if (CommonMotions.cnvString(detail[(int)ClickGetData.ApprovalDate]) != "0001-01-01")
-                        dd.ApprovalDate = CommonMotions.cnvString(detail[(int)ClickGetData.ApprovalDate]);
-                    // 担当者承認済みの場合
-                    if (dd.IsApprovedByStaff)
-                    {
-                        var depositApprovals = new List<DepositApprovalInfo>();
-                        if (!SelectApprove(o.OrderersDivision, o.OrderersCode, dd.SeqNo, dd.LineCount, ref depositApprovals))
-                            return null;
-                        var detectApproval = false;
-                        var detectNonApproval = false;
-                        var upperApprovalInUser = false;
-                        foreach (var appInfo in depositApprovals)
-                        {
-                            var da = new DepositApproval()
-                            {
-                                ApprovalNo = appInfo.ApprovalNo,
-                                ApprovalPersonName = appInfo.ApprovalPersonName,
-                                ApprovalPerson = appInfo.ApprovalPerson,
-                                ApprovalAuthority = appInfo.ApprovalAuthority,
-                                ApprovalDate = "",
-                            };
-                            if (appInfo.ApprovalDate != DateTime.MinValue)
-                                da.ApprovalDate = appInfo.ApprovalDate.ToString("yyyy-MM-dd");
-                            dd.DepositApprovals.Add(da);
-                        }
-                        // 承認状態を設定
-                        if (!detectApproval)
-                            dd.Status = ApprovalStatus.InCharge;
-                        else if (detectNonApproval)
-                            dd.Status = ApprovalStatus.InApproval;
-                        else
-                            dd.Status = ApprovalStatus.Approved;
-                        dd.UpperApprovalInUser = upperApprovalInUser;
-                    }
-                    // 担当者未承認
-                    else
-                    {
-                        var defaultApproves = new List<ApproveData>();
-                        if (!SelectDefaultApprove(dd.DepartmentCode, ref defaultApproves))
-                            return null;
-                        foreach (var approve in defaultApproves)
-                        {
-                            var da = new DepositApproval()
-                            {
-                                Added = true,
-                                ApprovalPersonName = approve.Value,
-                                ApprovalPerson = approve.Key,
-                                ApprovalDate = "",
-                                ApprovalNo = approve.Order,
-                                ApprovalAuthority = approve.ApprovalAuthority,
-                            };
-                            dd.DepositApprovals.Add(da);
-                        }
-                    }
-                    o.DepositDetails.Add(dd);
+                    dd.ConstructionName += "（" + dd.OrderNo + "回目）";
                 }
+                dd.ConstructionName = CommonMotions.cnvString(invoice[(int)GetDataFirst.ConstructionName]);
+                dd.BillCreationDate = CommonMotions.cnvString(invoice[(int)GetDataFirst.BillCreationDate]);
+                dd.BillPrice = CommonMotions.cnvLong(invoice[(int)GetDataFirst.BillPrice]);
+                dd.TaxPrice = CommonMotions.cnvLong(invoice[(int)GetDataFirst.TaxPrice]);
+                dd.DepositAmount = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DepositAmount]);
+                dd.DiscountAmount = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DiscountAmount]);
+                dd.CnstrPrice = CommonMotions.cnvLong(invoice[(int)GetDataFirst.CnstrPrice]);
+                dd.Fees = CommonMotions.cnvLong(invoice[(int)GetDataFirst.Fees]);
+                dd.OtherAdjustments = CommonMotions.cnvLong(invoice[(int)GetDataFirst.OtherAdjustments]);
+                dd.DifferenceAmount = CommonMotions.cnvLong(invoice[(int)GetDataFirst.DifferentAmount]);
+                dd.ConfirmationPersonCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConfirmationPersonCode]);
+                dd.ConfirmationEndFlg = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConfirmationEndFlg]);
+                dd.Note = CommonMotions.cnvString(invoice[(int)GetDataFirst.NoteDD]);
+                dd.EntryDate = CommonMotions.cnvString(invoice[(int)GetDataFirst.EntryDate]);
+
+                dd.ConfirmationPersonName = CommonMotions.cnvString(invoice[(int)GetDataFirst.PersonName]);
+                dd.DepartmentCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.DepartmentCode]);
+                dd.ConstructionCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConstructionCode]);
+                dd.ConstructionPersonCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConstructionPersonCode]);
+                dd.ConstrSubPersonCode = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConstrSubPersonCode]);
+                dd.ConstructionInstructor = CommonMotions.cnvInt(invoice[(int)GetDataFirst.ConstructionInstructor]);
+
+                dd.Visible = CheckPermission(dd.DepartmentCode, dd.ConstructionPersonCode, dd.ConstrSubPersonCode, dd.ConstructionInstructor);
+                dd.ConfirmationDate = "";
+                if (CommonMotions.cnvString(invoice[(int)GetDataFirst.ConfirmationDate]) != "0001-01-01")
+                    dd.ConfirmationDate = CommonMotions.cnvString(invoice[(int)GetDataFirst.ConfirmationDate]);
+
+                o.DepositDetails.Add(dd);
+
                 data.Add(o);
             }
             return data;
@@ -1961,38 +1084,124 @@
         }
         #endregion
 
-        #region 入金データを取得する。
+        #region 請求書データを取得する。
         /// <summary>
-        /// 入金データを取得する。
+        /// 請求書データを取得する。
         /// </summary>
         /// <returns></returns>
-        private ArrayList SelectDepositData()
+        private ArrayList SelectInvoiceData()
         {
-            var depDb = new IODepositData();
+            var ivD = new IOInvoiceData();
 
             try
             {
                 var sql = new StringBuilder();
-                sql.Append("select ");
-                sql.Append("Dep.OrderersDivision, ");
-                sql.Append("Dep.OrderersCode, ");
-                sql.Append("Dep.TargetDate, ");
-                sql.Append("Dep.SeqNo, ");
-                sql.Append("DATE_FORMAT(Dep.DepositDate, '%Y/%m/%d') as DepositDate, ");
-                sql.Append("Dep.DepositAmountCash, ");
-                sql.Append("Dep.DepositAmountBill, ");
-                sql.Append("OdrM.CorporateStatusName, ");
-                sql.Append("OdrM.CorporateStatusPoint, ");
-                sql.Append("OdrM.OrderersName1, ");
-                sql.Append("OdrM.OrderersName2 ");
-                sql.Append("from DepositData Dep ");
-                sql.Append("left outer join OrderersMaster as OdrM ");
-                sql.Append("on OdrM. OrderCotegory = Dep.OrderersDivision and OdrM.OrderersCode = Dep.OrderersCode ");
-                sql.AppendFormat("where Dep.TargetDate = {0} ", m_Select_TargetDate);
-                sql.Append("order by Dep.OrderersDivision, Dep.OrderersCode, Dep.SeqNo ");
+                sql.Append(" ( ");
+                sql.Append("  SELECT ");
+                sql.Append("    DISTINCT CONCAT(O.ORDERERSNAME1, '　', O.ORDERERSNAME2) AS ORDERERSNAME ");
+                sql.Append("   , NULL AS REQUESTMONTH ");
+                sql.Append("   , NULL AS REQUESTNO ");
+                sql.Append("   , H.ORDERERSDIVISION ");
+                sql.Append("   , H.ORDERERSCODE ");
+                sql.Append("   , NULL AS CRETATEDATE ");
+                sql.Append("   , NULL AS REQCONSTRUCTIONCODE ");
+                sql.Append("   , NULL AS REQCONSTRUCTIONNAME ");
+                sql.Append("   , NULL AS REQUESTAMOUNT ");
+                sql.Append("   , NULL AS TAXAMOUNT ");
+                sql.Append("   , 1 AS KB ");
+                sql.Append("   , NULL AS SEQNOD ");
+                sql.Append("   , NULL AS DEPOSITDATE ");
+                sql.Append("   , NULL AS DEPOSITAMOUNTCASH ");
+                sql.Append("   , NULL AS DEPOSITAMOUNTBILL ");
+                sql.Append("   , NULL AS DEPOSITPERSONCODE ");
+                sql.Append("   , NULL AS NOTE ");
+                sql.Append("   , NULL AS ORDERNO ");
+                sql.Append("   , NULL AS DEPOSITAMOUNT ");
+                sql.Append("   , NULL AS DISCOUNTAMOUNT ");
+                sql.Append("   , NULL AS CNSTRPRICE ");
+                sql.Append("   , NULL AS FEES ");
+                sql.Append("   , NULL AS OTHERADJUSTMENTS ");
+                sql.Append("   , NULL AS DIFFERENCEAMOUNT ");
+                sql.Append("   , NULL AS CONFIRMATIONPERSONCODE ");
+                sql.Append("   , NULL AS CONFIRMATIONDATE ");
+                sql.Append("   , NULL AS CONFIRMATIONENDFLG ");
+                sql.Append("   , NULL AS NOTE ");
+                sql.Append("   , NULL AS ENTRYDATE ");
+                sql.Append("   , NULL AS CONSTRUCTIONPERSONCODEAS ");
+                sql.Append("   , NULL AS CONSTRSUBPERSONCODEAS ");
+                sql.Append("   , NULL AS CONSTRUCTIONINSTRUCTORAS ");
+                sql.Append("   , NULL AS PERSONNAME ");
+                sql.Append("   , NULL AS DEPARTMENTCODE ");
+                sql.Append("  FROM ");
+                sql.Append("   REQUESTHEAD AS H ");
+                sql.Append("  INNER JOIN ORDERERSMASTER AS O ");
+                sql.Append("   ON O.ORDERERSCODE = H.ORDERERSCODE ");
+                sql.Append("   AND O.ORDERCOTEGORY = H.ORDERERSDIVISION ");
+                sql.Append("  WHERE ");
+                sql.Append("   H.REQUESTMONTH = 201706 ");
+                sql.Append(" ) ");
+                sql.Append(" UNION ( ");
+                sql.Append("  SELECT ");
+                sql.Append("   CONCAT(O.ORDERERSNAME1, '　', O.ORDERERSNAME2) AS ORDERERSNAME ");
+                sql.Append("   , I.REQUESTMONTH AS TARGETDATE ");
+                sql.Append("   , H.REQUESTNO ");
+                sql.Append("   , I.ORDERERSDIVISION ");
+                sql.Append("   , I.ORDERERSCODE ");
+                sql.Append("   , DATE_FORMAT(I.CRETATEDATE, '%m/%d') AS CRETATEDATE ");
+                sql.Append("   , H.REQCONSTRUCTIONCODE ");
+                sql.Append("   , H.REQCONSTRUCTIONNAME ");
+                sql.Append("   , H.REQUESTAMOUNT ");
+                sql.Append("   , H.TAXAMOUNT ");
+                sql.Append("   , 2 AS KB ");
+                sql.Append("   , NULL AS SEQNOD ");
+                sql.Append("   , NULL AS DEPOSITDATE ");
+                sql.Append("   , NULL AS DEPOSITAMOUNTCASH ");
+                sql.Append("   , NULL AS DEPOSITAMOUNTBILL ");
+                sql.Append("   , NULL AS DEPOSITPERSONCODE ");
+                sql.Append("   , NULL AS NOTE ");
+                sql.Append("   , H.ORDERNO ");
+                sql.Append("   , DPDE.DEPOSITAMOUNT ");
+                sql.Append("   , DPDE.DISCOUNTAMOUNT ");
+                sql.Append("   , DPDE.CNSTRPRICE ");
+                sql.Append("   , DPDE.FEES ");
+                sql.Append("   , DPDE.OTHERADJUSTMENTS ");
+                sql.Append("   , DPDE.DIFFERENCEAMOUNT ");
+                sql.Append("   , DPDE.CONFIRMATIONPERSONCODE ");
+                sql.Append("   , DPDE.CONFIRMATIONDATE ");
+                sql.Append("   , DPDE.CONFIRMATIONENDFLG ");
+                sql.Append("   , DPDE.NOTE ");
+                sql.Append("   , DPDE.ENTRYDATE ");
+                sql.Append("   , CBI.CONSTRUCTIONPERSONCODE ");
+                sql.Append("   , CBI.CONSTRSUBPERSONCODE ");
+                sql.Append("   , CBI.CONSTRUCTIONINSTRUCTOR ");
+                sql.Append("   , PICM.SEALPRINTNAME AS PERSONNAME ");
+                sql.Append("   , PICM.DEPARTMENTCODE ");
+                sql.Append("  FROM ");
+                sql.Append("   REQUESTHEAD AS H ");
+                sql.Append("  INNER JOIN ORDERERSMASTER AS O ");
+                sql.Append("   ON O.ORDERERSCODE = H.ORDERERSCODE ");
+                sql.Append("   AND O.ORDERCOTEGORY = H.ORDERERSDIVISION ");
+                sql.Append("  INNER JOIN INVOICEDATA AS I ");
+                sql.Append("   ON I.INVOICENO = H.INVOICENO ");
+                sql.Append("  LEFT OUTER JOIN DEPOSITDATADETAIL AS DPDE ");
+                sql.Append("   ON DPDE.TARGETDATE = H.REQUESTMONTH ");
+                sql.Append("   AND DPDE.REQUESTNO = H.REQUESTNO ");
+                sql.Append("   AND DPDE.ORDERERSCODE = H.ORDERERSCODE ");
+                sql.Append("  LEFT OUTER JOIN CONSTRUCTIONBASEINFO CBI ");
+                sql.Append("   ON H.REQCONSTRUCTIONCODE = CBI.CONSTRUCTIONCODE ");
+                sql.Append("  LEFT OUTER JOIN PERSONINCHARGEMASTER PICM ");
+                sql.Append("   ON CBI.CONSTRUCTIONPERSONCODE = PICM.PERSONCODE ");
+                sql.Append("  WHERE ");
+                sql.Append("   I.REQUESTMONTH = 201706 ");
+                sql.Append(" ) ");
+                sql.Append(" ORDER BY ");
+                sql.Append("  ORDERERSCODE ");
+                sql.Append("  , CRETATEDATE ");
+                sql.Append("  , REQCONSTRUCTIONCODE ");
+                sql.Append("  , KB; ");
 
                 var data = new ArrayList();
-                if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
+                if (!ivD.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
                 return data;
             }
             catch (Exception ex)
@@ -2002,84 +1211,46 @@
             }
             finally
             {
-                depDb.close();
-                depDb = null;
+                ivD.close();
+                ivD = null;
             }
         }
         #endregion
 
-        #region 入金明細データを取得する。
+        #region 入金合計を取得
         /// <summary>
-        /// 入金明細データを取得する。
+        /// 入金合計を取得
         /// </summary>
-        /// <param name="orderersDivision"></param>
-        /// <param name="orderersCode"></param>
-        /// <param name="targetDate"></param>
         /// <returns></returns>
-        private ArrayList SelectDepositDetailData(int orderersDivision, int orderersCode, int targetDate)
+        private ArrayList DepositSumCalc(int orderersDiv, int orderersCd, int targetDate, int tgl)
         {
-            var depDb = new IODepositData();
+            var ivD = new IODepositData();
 
             try
             {
                 var sql = new StringBuilder();
-                sql.Append("SELECT");
-                sql.Append(" DepD.OrderersDivision");
-                sql.Append(" ,DepD.OrderersCode");
-                sql.Append(" ,DepD.TargetDate");
-                sql.Append(" ,DepD.SeqNo");
-                sql.Append(" ,null as DepositDate");
-                sql.Append(" ,null");
-                sql.Append(" ,null");
-                sql.Append(" ,null");
-                sql.Append(" ,null");
-                sql.Append(" ,null");
-                sql.Append(" ,null");
-                sql.Append(" ,DepD.LineCount");
-                sql.Append(" ,ifnull(DepD.RequestNo, 0) as RequestNo");
-                sql.Append(" ,ifnull(DepD.OrderNo, 0) as OrderNo");
-                sql.Append(" ,DepD.DepositAmount");
-                sql.Append(" ,ifnull(DepD.DiscountAmount, 0) as DiscountAmount");
-                sql.Append(" ,ifnull(DepD.CnstrPrice, 0) as CnstrPrice");
-                sql.Append(" ,ifnull(DepD.Fees, 0) as Fees");
-                sql.Append(" ,ifnull(DepD.OtherAdjustments, 0) as OtherAdjustments");
-                sql.Append(" ,ifnull(DepD.CarryAmount, 0) as CarryAmount");
-                sql.Append(" ,ifnull(DepD.ApprovalPersonCode, 0) as ApprovalPersonCode");
-                sql.Append(" ,ifnull(DepD.ApprovalDate, 0) as ApprovalDate");
-                sql.Append(" ,DepD.ApprovalEndFlg");
-                sql.Append(" ,PicM.SealPrintName");
-                sql.Append(" ,PicM2.DepartmentCode");
-                sql.Append(" ,DATE_FORMAT(InvD.CretateDate, '%Y/%m/%d') as BillCreationDate");
-                sql.Append(" ,ReqH.RequestAmount + ReqH.UnpaidAmount as BillPrice");
-                sql.Append(" ,ReqH.TaxAmount as TaxPrice");
-                sql.Append(" ,Cbi.ConstructionCode");
-                sql.Append(" ,Cbi.ConstructionPersonCode");
-                sql.Append(" ,Cbi.ConstrSubPersonCode");
-                sql.Append(" ,Cbi.ConstructionInstructor");
-                sql.Append(" ,0");
-                sql.Append(" ,ReqH.ReqConstructionName");
-                sql.Append(" FROM");
-                sql.Append(" DepositDataDetail DepD");
-                sql.Append(" LEFT OUTER JOIN PersonInChargeMaster PicM ON");
-                sql.Append(" DepD.ApprovalPersonCode = PicM.PersonCode");
-                sql.Append(" LEFT OUTER JOIN RequestHead ReqH ON");
-                sql.Append(" DepD.RequestNo = ReqH.RequestNo");
-                sql.Append(" LEFT OUTER JOIN ConstructionBaseInfo Cbi ON");
-                sql.Append(" ReqH.ReqConstructionCode = Cbi.ConstructionCode");
-                sql.Append(" LEFT OUTER JOIN PersonInChargeMaster PicM2 ON");
-                sql.Append(" Cbi.ConstructionPersonCode = PicM2.PersonCode");
-                sql.Append(" LEFT OUTER JOIN InvoiceData InvD ON");
-                sql.Append(" ReqH.InvoiceNo = InvD.InvoiceNo");
-                sql.Append(" WHERE");
-                sql.AppendFormat(" DepD.OrderersDivision = {0}", orderersDivision);
-                sql.AppendFormat(" AND DepD.OrderersCode = {0}", orderersCode);
-                sql.AppendFormat(" AND DepD.TargetDate = {0}", m_Select_TargetDate);
-                sql.Append(" ORDER BY");
-                sql.Append(" DepD.RequestNo");
+                sql.Append(" SELECT ");
+                sql.Append("     SUM(DEPOSITAMOUNTCASH) ");
+                sql.Append("     , SUM(DEPOSITAMOUNTBILL) ");
+                sql.Append(" FROM ");
+                sql.Append("     DEPOSITDATA ");
+                sql.Append(" WHERE ");
+                if (tgl == 1)
+                {
+                    sql.AppendFormat("     ORDERERSDIVISION = {0} ", orderersDiv);
+                    sql.AppendFormat("     AND ORDERERSCODE = {0} ", orderersCd);
+                    sql.AppendFormat("     AND TARGETDATE = {0} ", targetDate);
+                }
+                else if(tgl == 2)
+                {
+                    sql.AppendFormat("     TARGETDATE = {0} ", targetDate);
+                }
 
                 var data = new ArrayList();
-
-                if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
+                if (!ivD.ExecuteReader(sql.ToString(), ref data))
+                {
+                    return new ArrayList();
+                }
                 return data;
             }
             catch (Exception ex)
@@ -2089,49 +1260,63 @@
             }
             finally
             {
-                depDb.close();
-                depDb = null;
+                ivD.close();
+                ivD = null;
             }
         }
         #endregion
 
-        #region 入金確認承認データより、承認者を取得する。
+        #region 請求金額の合計を取得
         /// <summary>
-        /// 入金確認承認データより、承認者を取得する。
+        /// 請求金額の合計を取得
         /// </summary>
-        /// <param name="orderersDivision"></param>
-        /// <param name="orderersCode"></param>
-        /// <param name="seqNo"></param>
-        /// <param name="lineCount"></param>
-        /// <param name="depositApprovals"></param>
         /// <returns></returns>
-        private bool SelectApprove(int orderersDivision, int orderersCode, int seqNo, int lineCount, ref List<DepositApprovalInfo> depositApprovals)
+        private ArrayList RequestSumCalc(int orderersDiv, int orderersCd, int targetDate, int tgl)
         {
-            IODepositApprovalInfo ioDai = new IODepositApprovalInfo();
+            var ivD = new IORequestHead();
+
             try
             {
-                var sql = string.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} and LineCount = {4} order by ApprovalNo",
-                    orderersDivision, orderersCode, m_Select_TargetDate.ToString(), seqNo, lineCount);
-                if (!ioDai.SelectAction(sql, ref depositApprovals))
-                    return false;
-                return true;
+                var sql = new StringBuilder();
+                sql.Append(" SELECT ");
+                sql.Append("     SUM(REQUESTAMOUNT) ");
+                sql.Append("     , SUM(TAXAMOUNT) ");
+                sql.Append(" FROM ");
+                sql.Append("     REQUESTHEAD ");
+                sql.Append(" WHERE ");
+                if (tgl == 1)
+                {
+                    sql.AppendFormat("     ORDERERSDIVISION = {0} ", orderersDiv);
+                    sql.AppendFormat("     AND ORDERERSCODE = {0} ", orderersCd);
+                    sql.AppendFormat("     AND REQUESTMONTH = {0} ", targetDate);
+                }
+                else if(tgl == 2)
+                {
+                    sql.AppendFormat("     REQUESTMONTH = {0} ", targetDate);
+                }
+                var data = new ArrayList();
+                if (!ivD.ExecuteReader(sql.ToString(), ref data))
+                {
+                    return new ArrayList();
+                }
+                return data;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
+                return new ArrayList();
             }
             finally
             {
-                ioDai.close();
-                ioDai = null;
+                ivD.close();
+                ivD = null;
             }
         }
         #endregion
 
-        #region 業者行の内容を更新する。
+        #region 変更行の内容を更新する。
         /// <summary>
-        /// 業者行の内容を更新する。
+        /// 変更行の内容を更新する。
         /// </summary>
         /// <param name="depositOrderer"></param>
         /// <param name="position"></param>
@@ -2142,7 +1327,7 @@
             var y = dgvMaster.FirstDisplayedScrollingRowIndex;
             try
             {
-                RemoveDepositOrdererRows(depositOrderer);
+                dgvMaster.Rows.RemoveAt(position);
                 AddDepositOrdererRows(depositOrderer, position);
             }
             catch (Exception ex)
@@ -2158,30 +1343,11 @@
         }
         #endregion
 
-        #region 業者行を削除する。
+        #region データをカラムに追加する。
         /// <summary>
-        /// 業者行を削除する。
+        /// データをカラムに追加する。
         /// </summary>
         /// <param name="depositOrderer"></param>
-        private void RemoveDepositOrdererRows(DepositOrderer depositOrderer)
-        {
-            for (var i = dgvMaster.RowCount - 1; i >= 0; i--)
-            {
-                var cells = dgvMaster.Rows[i].Cells;
-                if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value) == depositOrderer.OrderersDivision
-                    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value) == depositOrderer.OrderersCode)
-                {
-                    dgvMaster.Rows.RemoveAt(i);
-                }
-            }
-        }
-        #endregion
-
-        #region 業者行を追加する。
-        /// <summary>
-        /// 業者行を追加する。
-        /// </summary>
-        /// <param name="depositOrderer"></param>
         /// <param name="position"></param>
         private void AddDepositOrdererRows(DepositOrderer depositOrderer, int position)
         {
